class request_manager {
  include auth_conf
  include auth_conf::defaults

  auth_conf::acl { '/certificate_status':
    auth       => 'yes',
    acl_method => ['find','search', 'save', 'destroy'],
    allow      => 'pe-internal-dashboard',
    order      => 085,
  }

  auth_conf::acl { '/facts':
    auth       => 'any',
    acl_method => ['find','search'],
    allow      => 'pe-internal-dashboard',
    order      => 090,
  }

  # Note that the request manager module is *only* for PE, so we can hard code the auth.conf path
  service { 'pe-httpd':
    ensure     => running,
    subscribe  => $::custom_auth_conf ? {
      'false' => File['/etc/puppetlabs/puppet/auth.conf'],
      default => undef,
    },
  }
}
